<?
// element do stronnicowania wynikow
	//stronnicowanie
	if(!isset($strona)){
	  $strona = 1;
	}
   $wykonaj = mysql_query ($zapytanie_str);
   $ile_wpisow = @mysql_num_rows($wykonaj);
	$ile_stron = $ile_wpisow/$po_ile_na_stronie;
	$ile_stron2 = explode('.',$ile_stron);
	if($ile_stron>$ile_stron2[0]){$ile_stron++;}
	$wszystkich_stron = explode('.',$ile_stron);
	$temp =($strona*$po_ile_na_stronie)-$po_ile_na_stronie;
	//stronnicowanie

	
	// stronnicowanie
	if($ile_wpisow==0){$ile_wpisow = "BRAK";}
	echo'<div class="pagination"><p>';
	if($strona==1){ echo'<span><strong>&lt;&lt;</strong></span> '; } else { echo'<a href="?go='.$go.'&subgo='.$subgo.'&strona=1&akcja='.$akcja.'&wg='.$wg.'"><strong>&lt;&lt;</strong></a> '; } 
	if($strona==1){ echo'<span><strong>Poprzednia</strong></span> '; } else { echo'<a href="?go='.$go.'&subgo='.$subgo.'&strona='.($strona-1).'&akcja='.$akcja.'&wg='.$wg.'"><strong>Poprzednia</strong></a> '; } 
	$start = 1;
	if($strona>=3){$start = $strona-2; if(($strona>($wszystkich_stron[0]-2)) and ($strona>=4)){$start = $strona - 4 +($wszystkich_stron[0]-$strona);if($start<=0){$start=1;}}}
	$stop = $ile_stron;
	if($strona<=($ile_stron-2)){$stop = $strona+2; if($strona<=2 and ($strona+3)<=$wszystkich_stron[0]){$stop = $strona + (5-$strona); if($stop>$wszystkich_stron[0]){$stop = $wszystkich_stron[0];}} }
	for($licznik=$start;$licznik<=$stop;$licznik++){
		if($licznik==$strona){echo'<span>'.$licznik.'</span> ';}else{echo'<a href="?go='.$go.'&subgo='.$subgo.'&strona='.$licznik.'&akcja='.$akcja.'&wg='.$wg.'">'.$licznik.'</a> ';}
	}
	if($strona==$wszystkich_stron[0] or $ile_wpisow==0){ echo'<span><strong>Następna</strong></span>'; } else { echo'<a href="?go='.$go.'&subgo='.$subgo.'&strona='.($strona+1).'&akcja='.$akcja.'&wg='.$wg.'"><strong>Następna</strong></a>'; }			
	if($strona==$wszystkich_stron[0] or $ile_wpisow==0){ echo' <span><strong>&gt;&gt;</strong></span>'; } else { echo' <a href="?go='.$go.'&subgo='.$subgo.'&strona='.$wszystkich_stron[0].'&akcja='.$akcja.'&wg='.$wg.'"><strong>&gt;&gt;</strong></a>'; }
	echo'</p><h4>Strona '.$strona.' z '.$wszystkich_stron[0].' &nbsp;&nbsp; Wyników '.$ile_wpisow.'</h4></div>';				
	// stronnicowanie		

?>